Bug 486881 - patch to fix epel compilation
patch to fix epel compilation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 17:12 EST by Levente Farkas
Modified: 2009-05-09 08:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 08:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2009-02-22 17:12:20 EST
please apply the patch bellow to be able to compile on epel-5 and older fedoras.
thanks.
yours

-------------------------------------------------
--- gstreamer-plugins-good.spec	2009-02-19 22:45:34.000000000 +0100
+++ gstreamer-plugins-good.spec.new	2009-02-22 23:04:56.000000000 +0100
@@ -49,7 +49,9 @@
 BuildRequires:	ladspa-devel
 BuildRequires:  libsoup-devel
 BuildRequires:  kernel-headers
+%if 0%{?fedora} >= 9
 BuildRequires:  pulseaudio-libs-devel
+%endif
 
 %ifnarch s390 s390x
 BuildRequires:  libdv-devel
@@ -215,12 +217,14 @@
 %{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
 %{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
 %{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
-%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so
 %{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
 %{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
 # %{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
 # %{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
+%if 0%{?fedora} >= 9
+%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so
 %{_libdir}/gstreamer-%{majorminor}/libgstpulse.so
+%endif
 
 %ifnarch s390 s390x
 %{_libdir}/gstreamer-%{majorminor}/libgstdv.so
-------------------------------------------------
Comment 1 Adam Williamson 2009-02-23 14:58:56 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Levente Farkas 2009-04-12 17:45:35 EDT
ping...
Comment 3 Bastien Nocera 2009-05-09 08:34:50 EDT
As mentioned in the other similar bugs, I don't see why we should special case EPEL-5 in rawhide spec files. If you require a newer gstreamer, or plugins, file a bug against RHEL-5. Otherwise, rawhide spec files build packages against rawhide, not anything else.

Note You need to log in before you can comment on or make changes to this bug.